2007-10-13  Marco Gerards  <metgerards@student.han.nl>

	* iioctl.defs (iioctl_siocgifhwaddr): New RPC.

2007-03-24  Thomas Schwinge  <tschwinge@gnu.org>

	* fsys_reply.defs (fsys_syncfs_reply): Fix typo.  Reported by Austin
	Thompson.

2005-01-06  Marco Gerards  <metgerards@student.han.nl>

	* kdioctl.defs: New file.

2004-10-31  Alfred M. Szmidt  <ams@gnu.org>

	* io.defs (io_read, io_write, io_select): Comment fixes.

2004-03-30  Marco Gerards  <metgerards@student.han.nl>

	* console.h (CONS_MOUSE_OFFSET_BASE): Redefined to 0x20.

2003-02-15  Roland McGrath  <roland@frob.com>

	* configure.ac: New file.
	* configure: New file.
	* install-headers.in: New file.

2002-10-04  Marcus Brinkmann  <marcus@gnu.org>

	* console.h (struct cons_display): Doc fix.

2002-09-18  Marcus Brinkmann  <marcus@gnu.org>

	* console.h (struct cons_display): Add a new flag
	CONS_FLAGS_TRACK_MOUSE.
	(CONS_MOUSE_BUTTON_MASK, CONS_MOUSE_BUTTON1, CONS_MOUSE_BUTTON2,
	CONS_MOUSE_BUTTON3, CONS_MOUSE_RELEASE, CONS_MOUSE_MOD_MASK,
	CONS_MOUSE_MOD_SHIFT, CONS_MOUSE_MOD_META, CONS_MOUSE_MOD_CTRL,
	CONS_MOUSE_OFFSET_BASE, CONS_MOUSE_EVENT_LENGTH,
	CONS_MOUSE_EVENT_PREFIX, CONS, MOUSE_EVENT): New macro.
	(CONS_KEY_B2): New macro.

2002-09-16  Marcus Brinkmann  <marcus@gnu.org>

	* console.h (conchar_attr_t): Add bits for italic and bold text
	attributes.

2002-09-10  Marcus Brinkmann  <marcus@gnu.org>

	* console.h (struct cons_display): New member FLAGS.
	(union cons_change_t): Likewise for WHAT->flags.

2002-09-04  Marcus Brinkmann  <marcus@gnu.org>

	* console.h: Include <wchar.h>.

2002-08-28  Marcus Brinkmann  <marcus@gnu.org>

	* console.h (struct cons_display): Fix comment on CUR_LINE.

2002-08-22  Marcus Brinkmann  <marcus@gnu.org>

	* console.h: Move here from ../console/.
	* Makefile (INSTHDRS): Add console.h.

2002-08-03  Marcus Brinkmann  <marcus@gnu.org>

	* hurd_types.defs (fsys_statfsbuf_t): Bump size up to 22.

2002-06-26  Marcus Brinkmann  <marcus@gnu.org>

	* fs_notify.defs: Add MsgOption for send timeout.
	(dir_changed): Changed to simpleroutine.  Change type of first
	argument to fs_notify_t.  Add TICKNO argument.
	(file_changed): Likewise.
	* hurd_types.defs (fs_notify_t): New type.
	* hurd_types.h (fs_notify_t): Likewise.

2002-06-14  Roland McGrath  <roland@frob.com>

	* paths.h (_SERVERS_DEFPAGER): New macro.

2002-06-13  Roland McGrath  <roland@frob.com>

	* fs.defs (dir_readdir): Revert AMOUNT type to int, since it's a count
	of entries and not a byte count.

2002-06-09  Roland McGrath  <roland@frob.com>

	* version.h: New file.
	* Makefile (INSTHDRS): Add it.

2002-06-08  Roland McGrath  <roland@frob.com>

	* hurd_types.defs (loff_t, ino64_t): New types, 64 bits.
	(off_t): Type removed.
	(off_array_t): Use loff_t instead of off_t as base type.
	* hurd_types.h (off_array_t): Likewise.
	[_FILE_OFFSET_BITS != 64] (io_statbuf_t, fsys_statfsbuf_t): Define
	using struct stat64/statfs64 instead of struct stat/statfs.
	* io.defs (io_identity): Use ino64_t for FILENO.
	* fs.defs (file_set_size): off_t -> loff_t
	* fs_notify.defs (file_changed): Likewise.
	* io.defs (io_write, io_read, io_seek): Likewise.
	* io_request.defs: Likewise for those RPCs' *_request variants.
	* io_reply.defs: Likewise for those RPCs' *_reply variants.

	* hurd_types.defs (size_t): Remove type.
	* fs.defs (dir_readdir): Use vm_size_t for AMOUNT.
	* socket.defs (socket_send, socket_recv): Likewise.
	* pfinet.defs (pfinet_siocgifconf): Likewise.
	* io.defs (io_write, io_read, io_readable): Likewise.
	* io_request.defs: Likewise for those RPCs' *_request variants.
	* io_reply.defs: Likewise for those RPCs' *_reply variants.

2002-06-07  Roland McGrath  <roland@frob.com>

	* hurd_types.defs (dev_t, ssize_t): Remove unused types.
	(uid_t, gid_t, mode_t, pid_t, off_t, size_t): Use int32/unsigned32.
	(retry_type, wait_status_t): Likewise.
	(file_changed_type_t, dir_changed_type_t): Likewise.

2002-06-05  Roland McGrath  <roland@frob.com>

	* hurd_types.h (struct procinfo): New member `taskevents'.
	(PI_FETCH_TASKEVENTS): New macro.

2002-05-23  Roland McGrath  <roland@frob.com>

	* newterm.defs: Add routine keywords.

	* Makefile (%.msgids, hurd.msgids): New rules.

2002-05-22  Marcus Brinkmann  <marcus@gnu.org>

	* process.defs (proc_setlogin): Remove comment about being
	deprecated.  It is used to create login sandboxes.

2002-05-20  Alfred M. Szmidt  <ams@kemisten.nu>

	* paths.h (_SERVERS_STARTUP): Macro removed.

2002-05-07  Roland McGrath  <roland@frob.com>

	* msg.defs (msg_report_wait): int -> mach_msg_id_t
	* hurd_types.h: Include <mach/message.h>.
	(struct procinfo): int -> mach_msg_id_t for rpc_block.

2002-05-03  Roland McGrath  <roland@frob.com>

	* auth.defs (auth_user_authenticate): Add sreplyport argument.
	* auth_request.defs: New file.

2002-02-17  Roland McGrath  <roland@frob.com>

	* hurd_types.h (after #include <mach/thread_info.h>)
	[! THREAD_SCHED_INFO]: Include <mach/policy.h> for OSF Mach
	scheduler definitions.
	(struct procinfo) [TASK_SCHED_TIMESHARE_INFO]:
	Add new member `timeshare_base_info'.
	(struct procinfo.threadinfos) [! THREAD_SCHED_INFO]:
	Use `struct policy_infos' in place of `struct thread_sched_info'.

2002-03-23  Roland McGrath  <roland@frob.com>

	* default_pager.defs (default_pager_object_set_size): New RPC.
	* default_pager_reply.defs: New file.

2002-03-17  Roland McGrath  <roland@frob.com>

	* tioctl.defs [TIOCTL_IMPORTS]: Use this macro if defined.

2002-03-05  Marcus Brinkmann  <marcus@gnu.org>

	* fs.defs: Refer to dir_lookup, not dir_pathtrans, in comments.
	* fsys.defs: Likewise.
	* hurd_types.h (enum retry_type): Likewise.
	Reported by James A Morrison <ja2morri@student.math.uwaterloo.ca>.

2002-01-01  Roland McGrath  <roland@frob.com>

	* exec.defs (exec_exec, exec_setexecdata): Use SCP macro
	in place of `, servercopy'.

	* io.defs (io_write, io_read, io_readable): Use size_t in place
	of mach_msg_type_number_t.
	* socket.defs (socket_send, socket_recv): Likewise.

	* hurd_types.defs (RETURN_CODE_ARG): New macro, definition
	depends on [HAVE_MIG_RETCODE].
	* auth_reply.defs: Replace return code args with that.
	* crash_reply.defs: Likewise.
	* fsys_reply.defs: Likewise.
	* io_reply.defs: Likewise.
	* msg_reply.defs: Likewise.
	* process_reply.defs: Likewise.
	* startup_reply.defs: Likewise.

2001-12-31  Roland McGrath  <roland@frob.com>

	* auth_reply.defs: Change return code parameters to use `RetCode'
	keyword, for compatibility with OSF Mach mig.
	* crash_reply.defs: Likewise.
	* fsys_reply.defs: Likewise.
	* io_reply.defs: Likewise.
	* msg_reply.defs: Likewise.
	* process_reply.defs: Likewise.
	* startup_reply.defs: Likewise.

2001-07-11  Marcus Brinkmann  <marcus@gnu.org>

	* fs.defs (routine file_get_storage_info): Add dealloc to all out
	parameters (PORTS, INTS, OFFSETS, DATA).
	(routine file_get_fs_options): Add dealloc to out parameter OPTIONS.

	* fsys.defs (routine fsys_get_options): Add dealloc to out
	parameter OPTIONS.

	* process.defs (routine proc_getprocinfo): Add dealloc to out
	paramter PROCINFO.

2001-06-15  Neal H Walfield  <neal@cs.uml.edu>

	* hurd_types.h: New macro, FS_TRANS_ORPHAN.

2001-05-01  Neal H Walfield  <neal@cs.uml.edu>

        * hurd_types.defs (startup_t): Fix typo.

2001-01-11  Marcus Brinkmann  <marcus@gnu.org>

	* default_pager_types.h: New file.
	default_pager.defs: Import <default_pager_types.h>.

2000-12-28  Roland McGrath  <roland@frob.com>

	* default_pager.defs: New file, modified from the original version
	in <mach/default_pager.defs>.  Adds new RPC, obsoletes an unused one.
	It is compatible enough that it doesn't really matter which version
	things use unless they are using the new RPC.

2001-01-07  Marcus Brinkmann  <marcus@gnu.org>

	* ioctl_types.h: Include <net/if.h>, define types sockaddr_t and
	ifname_t for iioctl.defs.
	* iioctl.defs: New file for network interface ioctls.
	* pfinet.defs: Remove old RPCs, fix subsystem number, add RPC for
	SIOCGIFCONF.

2000-11-15  Marcus Brinkmann  <marcus@gnu.org>

	* hurd_types.h: Doc fix reported by Neal H Walfield
	(neal@cs.uml.edu), STORAGE_NULL is actually STORAGE_ZERO.

2000-01-26  Roland McGrath  <roland@baalperazim.frob.com>

	* io_reply.defs (io_select_reply): Remove ID_TAG argument,
	which does not exist in the io_select RPC as defined in io.defs.

1999-10-11  Roland McGrath  <roland@baalperazim.frob.com>

	* fs.defs (dir_readdir): Replace dealloc with dealloc[] on out data.

1999-09-13  Roland McGrath  <roland@baalperazim.frob.com>

	* io.defs: Reverted changes related to io_map_segment.

1999-09-07  Thomas Bushnell, BSG  <tb@mit.edu>

	* io.defs (io_map_segment): New RPC.
	(io_map): Refer to io_map_segment; label as deprecated.
	(io_map_cntl, io_get_conch, io_release_conch, io_prenotify,
	io_eofnotify, io_postnotify, io_readnotify, io_readsleep,
	io_sigio): Label as deprecated.

Tue May 11 13:38:50 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* startup.defs: Doc fixes.

1999-04-27  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd_types.h (EXEC_SIGTRAP): New macro.

Mon Mar 15 14:48:24 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* term.defs (term_get_peername): New RPC, suggested by Mark
	Kettenis (kettenis@wins.uva.nl).

Thu Feb 18 00:29:43 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* tioctl.defs, term.defs: Mark with INTR_INTERFACE.

Tue Feb 16 04:34:02 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* io.defs (io_revoke): New RPC.

Sun Jan 31 18:21:58 1999  Thomas Bushnell, BSG  <tb@mit.edu>

	* fs.defs (file_utimes): Extend documentation.

1999-01-24  Roland McGrath  <roland@baalperazim.frob.com>

	* Makefile: Add rules for generating prototype ?ioctl.defs files from
	a list of C headers that define the ioctl request macros.
	(DIST_FILES): Add ioctl-tmpl.sym ioctl.awk gensym.awk.
	* gensym.awk, ioctl-decode.h, ioctl-tmpl.sym, ioctl.awk: New files
	supporting those rules.

	* ioctls.defs: New file.

1998-12-27  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd_types.h (enum file_storage_class): New values STORAGE_REMAP,
	STORAGE_COPY; moved with their comments from libstore/store.h.

1998-11-29  Roland McGrath  <roland@baalperazim.frob.com>

	* hurd_types.defs: Include <bits/utsname.h> instead of
	<utsnamelen.h>.  Reported by Mark Kettenis <kettenis@phys.uva.nl>.

Wed Oct 28 22:49:18 1998  Joel N. Weber II  <devnull@methedrine.ai.mit.edu>

	* hurd_types.h: Added FSTYPE_HTTP, FSTYPE_MEMFS, and
	FSTYPE_ISO9660.

Tue Aug 11 21:12:06 1998  Thomas Bushnell, BSG  <tb@mit.edu>

	* hurd_types.h (dir_changed_type, file_changed_type): Doc fix.

Thu Jul 30 10:38:30 1998  Thomas Bushnell, BSG  <tb@mit.edu>

	* fs.defs (file_notice_changes, dir_notice_changes): Doc fix.

1998-07-20  Roland McGrath  <roland@baalperazim.frob.com>

	* process_request.defs: Delete proc_sethostid, proc_gethostid,
	proc_sethostname, and proc_gethostname.

	* password.defs: Fix subsystem decl and random mig syntax errors.

Wed Jul 15 10:37:44 1998  Thomas Bushnell, n/BSG  <tb@mit.edu>

	* fs.defs (dir_lookup): Update interface specification in the
	comment to reflect current reality.

Tue Sep 23 15:52:35 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* password.defs: New file.
	* paths.h (_SERVERS_PASSWORD): New entry.
	* subsystems: Add password at 38000.

Tue Sep 16 15:24:37 1997  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* process.defs: Delete proc_sethostid, proc_gethostid,
	proc_sethostname, and proc_gethostname.

1997-09-04  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsys.defs: Add INTR_INTERFACE.

Thu Feb 13 19:21:03 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* fs.defs (file_reparent): Renamed from dir_reparent.

Mon Jan 20 16:34:12 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* fs.defs (dir_reparent): Make PARENT a mach_port_t, not a file_t,
	so that libraries that do type translations of file_t won't get
	bogus arguments for ports in other filesystems.

Thu Jan  9 16:44:52 1997  Miles Bader  <miles@gnu.ai.mit.edu>

	* fs.defs (dir_reparent): New rpc.

Thu Sep 26 14:21:01 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* tioctl.defs (tioctl_tiocext): Add missing "mode" arg.

Tue Sep 10 11:11:20 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* Makefile (INSTHDRS): Omit `version.h'.

Thu Sep  5 10:39:40 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>

	* version.h: File removed.

Wed Jul 17 14:30:36 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile: gs/install-hdrs/install-headers/g.

Tue Jul 16 11:37:35 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile (INSTHDRS): Repair syntax.
	(install-hdrs install): Correctly form pathname.

Sat Jul 13 20:55:59 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile: Rewritten to get the right things installed in the
 	right places.

	* Makefile (install-hdrs): New target; eq to install.

Mon Jul  1 16:28:01 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* crash.defs (crash_dump_task): Use integer_t for sigcode.  Add exc,
 	code, subcode, cttyid_port args.

Wed Jun 12 15:56:49 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* startup_notify.defs (subsystem declaration): Use correct value
 	29500 from subsystems file.

Sat May 25 17:09:00 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* msg_request.defs (msg_sig_post_request,
	msg_sig_post_untraced_request): Add SIGCODE argument.

Wed May 22 18:50:14 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* process_reply.defs (proc_wait_reply): Add SIGCODE argument.

Tue May 14 17:39:24 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* Makefile (install): Depend on $(includedir)/hurd and add rule to
 	create it.

Sat May 11 17:32:20 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* Makefile: Quick hack for installing headers prior to building libc.
	(hdrs): New variable, do wildcarding in $(srcdir).
	(DIST_FILES): Use that.
	(install): Install $(hdrs) in $(includedir)/hurd from $(srcdir).

Thu May  9 12:44:43 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile (DIST_FILES): Reference *.h, instead of individual
 	files.

	* Makefile (REMHDRS, dohdrs): Deleted targets.

Tue May  7 12:54:19 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* io.defs (io_identity): Server passes back fs id port and st_ino
 	value.

Mon May  6 15:28:50 1996  Miles Bader  <miles@gnu.ai.mit.edu>

	* msg.defs (msg_describe_ports): New rpc.

	* fs.defs (file_get_storage_info): Change arguments & comment.

Mon May  6 13:31:04 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* version.h (hurd_versions): Add version 0.0.
	* hurd_types.h (HURD_RELEASE): Update to 0.0.

	* hurd_types.h (struct procinfo): Add exitstatus and sigcode
 	members.

	* hurd_types.h (FSTYPE_SOCKET): Doc fix.

	* hurd_types.h (retry_type) [FS_RETRY_REAUTH]: Doc fix.

	* hurd_types.h (file_storage_class): Add STORAGE_NULL,
	STORAGE_CONCAT, STORAGE_INTERLEAVE, and STORAGE_LAYER.

	* hurd_types.h (struct fsys_statfsbuf): Delete type.
	(fsys_statfsbuf_t): Now based upon struct statfs.
	* hurd_types.defs (fsys_statfsbuf_t): Now 16 long.
	Import <sys/statfs.h>.

	* fsys.defs (fsys_get_options): Add RPT.

	* startup_notify.defs: New file.
	* startup.defs (startup_request_notification): NOTIFY_PORT now
 	mach_port_send_t.  New arg NAME.
	* subsystems: Add startup_notify.

	* process.defs (proc_getprocinfo): Make FLAGS inout.

	* process.defs (proc_get_tty): New RPC.
	* process_request.defs (proc_get_tty_request): Likewise.

	* process.defs (proc_mark_stop, proc_mark_exit): Add SIGCODE arg.
	(proc_wait): Return SIGCODE parm too.
	* process_request.defs (proc_mark_stop_request,
	proc_mark_exit_request): Likewise.

	* process.defs (proc_setowner): Add CLEAR parm.
	* process_request.defs (proc_setowner_request): Likewise.

	* process.defs (proc_setmsgport): Return old message port with
	mach_port_send_t to permit more flexibility in proc server.

	* fs.defs (file_sync): New parm `omit_metadata'.
	(dir_link, dir_rename): Add parm `excl'.

	* io.defs (io_verify_identity): Delete RPC.
	(io_identity): New RPC.

Fri May  3 16:56:22 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* hurd_types.h (EXEC_INHERITED): Macro removed.
	(EXEC_TRACED): Macro removed.
	(INIT_TRACEMASK): New enum constant.

	* msg.defs (msg_*_exec_flags): RPCs removed.

	* msg.defs (msg_sig_post, msg_sig_post_untraced): Add SIGCODE arg.
	(msg_startup_dosync): RPC removed.

	* io.defs (io_select): Remove ID_TAG arg.
	(io_verify_identity): New RPC.

	* auth.defs (auth_user_authenticate, auth_server_authenticate): Remove
 	second rendezvous port arg, leaving just one, of type mach_port_send_t.

Tue Apr 30 13:54:34 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* auth.defs: Mark with INTR_INTERFACE.
	(auth_user_authenticate): Remove sreplyport arg.

Sun Apr 28 19:13:42 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* interrupt.defs: Remove 1 second waittime spec.
	(interrupt_operation): Add waittime arg.
	* msg.defs (msg_startup_dosync): Add waittime arg.

Thu Apr 25 16:27:20 1996  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* pfinet.defs: New file.
	* subsystems: Added pfinet.

Fri Feb  9 11:30:08 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* tioctl.defs: Import hurd/ioctl_types.h with <> instead of "".

Thu Feb  8 20:35:34 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* ioctl_types.h: Protect from multiple inclusion.

Tue Dec 26 17:47:03 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* io.defs (io_select): Fix ifdefs around the reply port decls to
	work properly when the server side ports are desired.

Wed Dec 20 15:21:41 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* process.defs (proc_getsidport): Use mach_port_send_t instead of
	mach_port_make_send_t.

Tue Dec 19 18:28:35 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* process.defs (proc_getsidport): Make SESSPORT's type
	mach_port_make_send_t, since proc always just holds a receive right.

Mon Dec 11 15:21:42 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* Makefile (DIST_FILES): Added netfs.h.
	(REMHDRS): Added ../libnetfs/netfs.h.

Fri Dec  1 15:45:11 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* tioctl.defs (tioctl_tiocsig): Needs one int arg.

Tue Nov 21 09:58:13 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* interrupt.defs (interrupt_operation): Include SEQNO server
 	argument.

Mon Nov 20 18:26:52 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* msg_request.defs: Add skip for `Obsolete io_select_done'
	to match msg.defs.
	* msg_reply.defs: Ditto.

Sat Nov 18 23:33:55 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* crash.defs (crash_dump_task): Add sreplyport arg.
	* crash_reply.defs: New file.

Mon Nov 13 15:05:04 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* exec.defs (exec_startup): RPC removed; replaced with skip.

Fri Nov 10 10:02:17 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* process_request.defs: New file.

Sat Nov  4 23:15:01 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsys_reply.defs (fsys_startup_reply, fsys_get_options_reply): Tyop.

Tue Oct 31 15:54:20 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd_types.h: Add missing */.

Tue Oct 31 14:14:39 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* process.defs (proc_getprocinfo): New parm THREADWAITS.

Tue Oct 31 02:23:55 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* msg.defs (msg_report_wait): Add string out arg.

Mon Oct 30 10:41:06 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* hurd_types.h (PI_FETCH_TASKINFO, PI_FETCH_THREADS,
 	PI_FETCH_THREAD_BASIC, PI_FETCH_THREAD_SCHED,
 	PI_FETCH_THREAD_WAITS): New flags.
	(procinfo): New (buried) members `rpc_block' and `died'.
	* msg.defs (msg_report_wait): Change second arg to be a real
 	thread_t.  Change returned reason from a string to an rpc code.

	* process.defs (proc_getprocinfo): New parm FLAGS.

	* hurd_types.h (enum file_storage_class): Added new classes
 	STORAGE_MEMORY and STORAGE_TASK.  Doc fixes. Drop all the MUTATED
	bits.
	(STORAGE_MUTATED) New flag.
	* fs.defs (file_get_storage_info): New parm FLAGS.

	* hurd_types.h (PI_LOGINLD, PI_WAITING, PI_TRACED, PI_GETMSG): New
 	flags.

	* io.defs (io_select): Make sreply port also available if
 	IO_SELECT_REPLY_PORT is defined.

Fri Oct 27 14:43:17 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* fsys.defs (fsys_startup): New parm OPENFLAGS.

	* hurd_types.defs (SCP): New macro.
	* io.defs (io_write, io_restrict_auth): Add SCP to incoming
 	variable sized arrays.
	* socket.defs (socket_create_address, socket_setopt, socket_send):
	Likewise.
	* fs.defs (file_exec, file_set_translator): Likewise.

	* socket.defs (socket_create_address): Drop parm `binding'.

	* fs.defs: Added reply port option to all RPC's.

	* fsys.defs (fsys_get_options): New RPC.
	* fsys_reply.defs (fsys_get_options_reply): New stub.
	* fs.defs (file_get_fs_options): New RPC.

	* msg.defs (msg_report_wait): New RPC.

	* fs.defs (file_invoke_translator): Function deleted.

	* fsys_reply.defs (fsys_startup_reply, fsys_getfile_reply,
 	fsys_syncfs_reply, fsys_set_options_reply, fsys_getpriv_reply,
 	fsys_forward_reply): New functions, completing interface.

	* fsys.defs: Doc fix.

Wed Oct 25 15:59:25 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* exec_startup.defs: New file.
	* subsystems: Add exec_startup at 30500.

Thu Oct 12 16:56:52 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* exec.defs: Add INTR_INTERFACE marker.

	* fs.defs (file_exec): Remove dealloc[] keywords, and revert
	EXEC_TASK arg to task_t from mach_port_send_t.  We cannot safely
	use dealloc ool or move rights with the current RPC system.

Tue Oct 10 17:29:31 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* exec.defs [EXEC_IMPORTS]: Use this if defined.
	(exec_exec, exec_init, exec_setexecdata): Use file_t for receiver.
	(exec_exec): Use mach_port_send_t for FILE.

Sat Oct  7 05:26:20 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* fs.defs (file_exec): Add dealloc[] flag to most args.

Fri Oct  6 17:18:36 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* fsys.defs (fsys_getpriv): Change types of returned ports to
	mach_port_send_t.

	* fs.defs (file_get_storage_info): Change type of ADDRESSES to
	off_array_t.  Add ADDRESS_UNITS out parameter.
	(dir_link): Swap the DIR and FILE parameters.

	* hurd_types.defs (off_array_t, size_t, ssize_t): New types.
	* hurd_types.h (off_array_t): New type.

Tue Oct  3 13:51:00 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* hurd_types.h (struct fsys_statfsbuf): fsys_stb_bsize ->
 	fsys_stb_iosize.  fsys_stb_fsize -> fsys_stb_bsize.

Tue Sep 26 11:16:56 1995  Michael I. Bushnell, p/BSG  <mib@gnu.ai.mit.edu>

	* hurd_types.h (file_storage_class): New type.
	* fs.defs (file_get_storage_info): New RPC; use the slot that used
 	to hold file_pathconf.

Sun Sep 17 17:57:48 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* fs.defs (file_truncate): RPC renamed to file_set_size.

	* io.defs (io_pathconf): New RPC.
	* fs.defs (file_pathconf): RPC removed (replaced with skip).

	* hurd_types.h (EXEC_STACK_ARGS): New macro.

Fri Sep 15 21:32:15 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* subsystems: core renamed to crash.
	* paths.h (_SERVERS_CRASH): New macro.
	(_SERVERS_CORE): Macro removed.
	* core.defs: Renamed to crash.defs.
	* crash.defs (crash_dump_task): Renamed from core_dump_task.

Thu Aug 24 11:55:28 1995  Miles Bader  <miles@churchy.gnu.ai.mit.edu>

	* fsys.defs (fsys_forward): New rpc.
	* subsystems: Remove tserver.
	* tserver.defs: Removed.

Mon Aug 21 14:08:52 1995  Miles Bader  <miles@churchy.gnu.ai.mit.edu>

	* tserver.defs (tserver_translate): New file.
	* subsystems: Add tserver.

Mon Jul 17 15:05:16 1995  Miles Bader  <miles@churchy.gnu.ai.mit.edu>

	* socket.defs (socket_create): Change type of SERVER to pf_t.
	(socket_create_address, socket_fabricate_address): Rename first
	arg to `server', of type mach_port_t (so it can be either pf_t or
	socket_t).
	(socket_recv): Change type of ADDR to mach_port_send_t.
	(socket_send, socket_recv): Change type of AMOUNT to
	mach_msg_type_number_t.
	* hurd_types.h (pf_t): New type.
	* hurd_types.defs (pf_t): New type.

Mon Jun 26 19:23:38 1995  Michael I Bushnell  <mib@duality.gnu.ai.mit.edu>

	* fsys_reply.defs (fsys_goaway_reply): New routine, in its proper
        place.

Fri May 12 18:54:17 1995  Miles Bader  <miles@churchy.gnu.ai.mit.edu>

	* fsys.defs (fsys_set_options, fsys_mod_readonly): Replace
	mod_readonly with the more general set_options interface.

Mon Mar 20 21:44:59 1995  Michael I Bushnell  <mib@duality.gnu.ai.mit.edu>

	* Makefile (REMHDRS): Add ../libps/ps.h.

Mon Mar  6 15:25:27 1995  Miles Bader  <miles@churchy.gnu.ai.mit.edu>

	* process.defs: Doc fix.

Tue Jan 17 03:14:22 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* msg_request.defs: Fix typo reply->request.

	* io.defs (io_select): Add user reply port and reply timeout args.
	Make arg SELECT_TYPE inout, remove SELECT_RESULT out arg.
	* io_reply.defs: Synchronize with new io_select definition.

	* hurd_types.h (EXEC_INHERITED): New macro.

	* msg_reply.defs: Prepend `msg_' to all RPC names.
	(dir_changed, file_changed): Remove these skips.
	* msg_request.defs: Prepend `msg_' to all RPC names.  Add
	msg_sig_post_untraced_reply and intervening skips.
	* msg.defs: Prepend `msg_' to all RPC names.
	(dir_changed, file_changed): RPCs moved to fs_notify.defs.
	(msg_get_exec_flags, msg_set_exec_flags,
	msg_set_some_exec_flags, msg_clear_some_exec_flags): New RPCs.
	* fs_notify.defs: New file, broken out of msg.defs.
	* subsystems: Add fs_notify at 20500.

	* msg_reply.defs: Add sig_post_untraced_reply, and intervening skips.

Mon Jan 16 17:34:34 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* hurd_types.h (EXEC_TRACED): New macro.
	* msg.defs (sig_post_untraced): New RPC.

	* msg.defs (io_select_done): RPC removed, replaced with a skip.
	* io_reply.defs: Add ID_TAG arg.
	* io_request.defs (io_select_request): Remove RETURN_PORT arg.
	* io.defs (io_select): Remove RETURN_PORT arg; make ID_TAG inout.

Fri Dec  9 00:35:47 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* io.defs (io_read, io_write, io_readable): Use
	mach_msg_type_number_t in place of int.

Tue Sep 13 11:03:23 1994  Michael I Bushnell  <mib@churchy.gnu.ai.mit.edu>

	* auth.defs (auth_getids, auth_server_authenticate): Reverse
	these changes; the auth server doesn't want them.

	* msg.defs (get_init_ports, get_init_ints, get_dtable,
	get_env_variable): Added `dealloc' to variable sized OUT parameters.

Mon Sep 12 19:28:35 1994  Michael I Bushnell  <mib@churchy.gnu.ai.mit.edu>

	* auth.defs (auth_getids, auth_server_authenticate): Added
	`dealloc' to variable sized OUT parameters.
	* fs.defs (file_getfh, dir_readdir, file_get_translator): Likewise.
	* io.defs (io_read): Likewise.
	* login.defs (login_get_location, login_get_input_devices): Likewise.
	* process.defs (proc_gethostname, proc_getallpids,
	proc_getexecdata, proc_getprocargs, proc_getprocenv,
	proc_getloginpids, proc_getsessionpgids, proc_getsessionpids,
	proc_getpgrppids): Likewise.
	* socket.defs (socket_whatis_address, socket_getopt, socket_recv):
	Likewise.

Sat Sep 10 06:08:19 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* tioctl.defs (sizes_t): Rename to winsize_t; make struct, not array.
	* ioctl_types.h (sizes_t): Removed.
	(winsize_t): New typedef for struct winsize.
	(modes_t, speeds_t, cc_t): Use proper termios.h types.

Tue Aug 30 04:23:25 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* fs.defs (dir_pathtrans): Renamed to dir_lookup; fixed comment.

Fri Aug 26 12:45:51 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* fs.defs (file_set_translator): Separate FLAGS arg into PASSIVE_FLAGS
	and ACTIVE_FLAGS; rename TRANS and EXISTING args to less confusing
	names.
	* hurd_types.h: New flag FS_TRANS_SET.

Thu Aug 25 11:55:27 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* auth.defs (auth_user_authenticate, auth_server_authenticate):
	Changed rend_int to be a port; mach_port_send_t on both sides.
	* io.defs (io_reauthenticate): Pass a port instead of an int
	for secondary rendezvous.
	* process.defs (proc_reauthenticate): Pass a port instead of an
	int for secondary rendezvous.

	* hurd_types.h (retry_type): Removed FS_RETRY_NONE; added
	explicit initializers to keep the values constant.

	* hurd_types.h (FSTYPE_EXT2FS): New macroo.

	* hurd_types.h (struct procinfo): New member `logincollection'.

	* fsys.defs (fsys_syncfs, fsys_mod_readonly): New RPC's.
	* fsys_reply.defs: Added two skips corresponding to new RPC's.

Wed Aug 17 20:03:29 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* io.defs (io_select): Make RETURN_PORT arg mach_port_poly_t.
	* msg.defs (io_select_done): Make NOTIFY_PORT arg mach_port_poly_t.

Wed Aug 17 15:23:03 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* term.defs (termctty_open_terminal): New RPC.

Mon Aug 15 11:49:54 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* startup.defs (startup_essential_task): Add sreplyport arg.
	* startup_reply.defs: Add startup_essential_task_reply.

Tue Aug  9 19:43:50 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* core.defs (core_dump_task): Add SIGERROR arg.

	* interrupt.defs (INTERRUPT_TIMEOUT): New macro.
	Specify `waittime' with that value.

Mon Aug  8 15:49:30 1994  Michael I Bushnell  <mib@churchy.gnu.ai.mit.edu>

	* Makefile: Rewritten in accord with new scheme.

Thu Jul 21 15:44:43 1994  Michael I Bushnell  <mib@geech.gnu.ai.mit.edu>

	* Makefile (DIST_FILES, HDRS): Name header files explicitly.

Fri Jul 15 22:53:29 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* subsystems: Rename utmp to login.
	Mark begin and end of spread of subsystems used by ioctls.
	* login.defs: Renamed from utmp.defs; renamed all calls.

Fri Jul 15 18:20:34 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* fsys.defs (fsys_startup): Remove DOTDOT_NODE.
	(fsys_getroot): Add arg DOTDOT_NODE.

Thu Jul 14 11:46:56 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* utmp.defs: New file.

Mon Jul 11 20:07:52 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd_types.defs (INTR_ROUTINE): Macro removed.
	(INTR_INTERFACE): New macro.
	* fs.defs: Invoke INTR_INTERFACE.  Remove all INTR_ROUTINE uses.
	* io.defs, process.defs, socket.defs: Likewise.

Fri Jul  8 15:53:02 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* hurd_types.h (retry_type): Added new magical types "machtype"
	and "/".
	* fs.defs (dir_pathtrans): Doc fix.

	* msg.defs: Doc fix.

	* process.defs (proc_wait): Doc fix.

	* socket.defs (socket_fabricate_address): Added sockaddr_type
	arg.

Fri Jul  8 15:26:19 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* fs.defs (file_invoke_translator): New RPC.

	* hurd_types.defs (INTR_ROUTINE): New macro.
	* socket.defs: Use INTR_ROUTINE for all interruptible RPCs.
	* process.defs: Likewise.
	* fs.defs: Likewise.
	(dir_readdir): Make this interruptible.

Fri Jul  8 14:22:11 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* tioctl.defs: Remove ifdefs that were omitting most of the
	ioctls.  Added RPCs for missing codes 118-123.  Added
	block of skips between 99 and 100.  Added INTR to appropriate
	calls.

Tue Jul  5 14:46:49 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* Makefile (DIST_FILES): Added subsystems.

	* fsys_reply.defs: Added fsys_getroot_reply in its proper place.

Wed Jun 29 13:06:42 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* ifsock.defs (ifsock_setsockaddr, ifsock_assume_responsibility):
	Deleted RPCs.

	* msg.defs (set_init_port, set_fd): Change back to using
	mach_port_send_t instead of mach_port_t for PORT arg.

Tue Jun 28 18:39:02 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* msg.defs (get_dtable, set_dtable): Add REFPORT arg.
	(get_fd, set_fd): Add REFPORT and FD args.
	(set_init_port, set_fd): Use mach_port_t instead of
	mach_port_send_t for PORT arg.
	(get_environment): Add dealloc flag to VALUE arg.

	* fsys.defs: Add RPT arg to all routines except fsys_init (which
	has an unconditional sreplyport arg).

	* hurd_types.defs (sreply_port_t): New type.
	(RPTDECL, RPT, RPTLAST): New macros (moved from io.defs).
	* io.defs (reply_port_t): Type removed.
	(RPTDECL, RPT, RPTLAST): Macros moved to hurd_types.defs.
	* auth.defs (reply_port_t): Type removed.
	(auth_user_authenticate, auth_server_authenticate): Use
	sreply_port_t in place of reply_port_t.
	* fsys.defs (fsys_init): Likewise.

	* msg.defs (sig_post): Likewise.
	* process.defs (proc_getmsgport, proc_setmsgport, proc_wait): Likewise.
	* startup.defs (startup_procinit, startup_authinit): Likewise.

Fri Jun 24 03:54:53 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* term.defs (term_become_ctty): Renamed to term_open_ctty.

	* process.defs (proc_setprocargs): Renamed to proc_set_arg_locations.
	(proc_get_arg_locations): New rpc.
	* process_reply.defs: Add skip for proc_get_arg_locations.

Thu Jun 23 11:59:49 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* term.defs (term_become_ctty): Delete SIGPT arg.

Wed Jun 22 16:34:51 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* term.defs: Changed NEWTTY arg to be mach_port_send_t.

Thu Jun 16 00:48:45 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* hurd_types.defs (file_changed_type_t, dir_changed_type_t): New types.
	* hurd_types.h (INIT_PORT_LOGINCOLL): Removed.
	(dir_changed_type_t, file_changed_type_t): New typedefs.

	* fs.defs (file_check_access): Renamed from file_access, interface
	changed.

Wed Jun 15 21:24:46 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* fsys.defs (fsys_getroot): New interface; similar to
	fs.defs:dir_pathtrans.  This eliminates the noxious need for
	dir_pathtrans to work on null pathnames for non directories.  This
	is the Right Thing.

	* fs.defs (file_get_translator_cntl): Return port as
	`mach_port_send_t' not `fsys_t'.

Wed Jun 15 12:13:35 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* fs.defs (file_access): New RPC.

Tue Jun 14 13:57:18 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* hurd_types.h: Reorganized; many comments fixed or improved.

	* hurd_types.h (enum verstype): Removed declaration.
	(enum term_bottom_type): New type.
	(TERM_ON_MACHDEV, TERM_ON_HURDIO, TERM_ON_MASTERPTY): Moved
	into enum above.
	(FSTYPE_SOCKET, FSTYPE_MISC): New macros.

	* msg.defs (dir_changed, file_changed): New RPCs.
	* fs.defs (dir_notice_changes, file_notice_changes): New RPCs.
	* hurd_types.h (enum dir_changed_type, enum file_changed_type):
	New declarations.

	* fs.defs (dir_readdir): Totally new interface.

Mon Jun 13 07:14:23 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* socket.defs: Corrected subsystem to 26000; was 20000, same as fs.

Mon Jun  6 23:07:08 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* ioctl_types.h (modes_t, speeds_t, ccs_t, sizes_t): Make these
	arrays of the appopriate sizes, not pointers.

Sun Jun  5 22:41:08 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* tioctl.defs: Fix subsystem.

Fri May 27 07:53:15 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* exec.defs (exec_exec): Add `servercopy' flag to DTABLE,
	PORTARRAY, and INTARRAY args.
	(exec_startup): Add `dealloc' flag to ARGV, ENVP, PORTARRAY, and
	INTARRAY args.
	(exec_setexecdata): Add `servercopy' flag to PORTS and INTS args.

Wed May 25 13:32:31 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* io_reply.defs (io_readable_reply, io_get_openmodes_reply): Fix
	typos.

Thu May 12 00:43:08 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* fsys_reply.defs: New file.
	* fsys.defs (reply_port_t): Define type.
	(fsys_init): Add sreplyport arg.

	* process.defs (proc_setmsgport): Add sreplyport arg.
	* process_reply.defs: Add proc_setmsgport_reply.

	* version.h: Added multiple inclusion protection.
	(struct hurd_version): Fixed `vers' member.
	(hurd_versions): Add braces.

Wed May 11 16:05:43 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* startup.defs (startup_uname, startup_register_version): For
	some bizzaro reason these didn't get removed.  Now they are for real.

Tue May 10 18:17:41 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* tioctl.defs, ioctl_types.h: New files.

Mon May  9 14:28:06 1994  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* version.h: New file.

	* startup.defs (startup_uname, startup_register_version): Removed
	* process.defs (proc_uname, proc_register_version): New RPCs.
	* process_reply.defs: Added skips corresponding to proc_name
	and proc_register_version.

Wed May  4 01:01:11 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* msg_request.defs: New file.

Sun May  1 17:40:48 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd_types.h (utsname_t): New typedef.
	* hurd_types.defs (utsname_t): Define type for MiG.
	Import <sys/utsname.h>.

Fri Apr 29 16:19:10 1994  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* io.defs (io_prenotify, io_postnotify): File offsets should be
	vm_offset_t.

	* io.defs (io_async): NOTIFY_PORT and ASYNC_ID_PORT
	should be mach_port_send_t.
	(io_get_icky_async_id): ICKY_ASYNC_ID_PORT should be
	mach_port_send_t.
	(io_map_cntl): Returned object should be mach_port_send_t.

	* io.defs: Added new type reply_port_t; added sreplyport of
	that type to all the stubs when REPLY_PORTS is defined.

	* term.defs (term_getctty): CTTY arg should be mach_port_send_t
	for the convenience of servers.

	* io.defs (io_readnotify): New RPC.
	* shared.h (use_readnotify_size, readnotify_size): New members.

	* socket.defs: Change ports returned from servers to be
	mach_port_send_t for the convenience of servers.

	* ifsock.defs (ifsock_assume_responsibility): Just take over the
	bootstrap port directly; this is more reliable anyway.

	* fs.defs (file_set_translator): EXISTING arg should be
	mach_port_send_t.

	* shared.h (shared_io): Added optimal_transfer_size.

	* hurd_types.h (HURD_RELEASE): New macro.

	* startup.defs (startup_uname, startup_register_version): New
	RPCs.

	* startup.defs (startup_essential_task): require host priv port
	for security.

	* exec.defs (exec_exec) : FILE arg should be mach_port_send_t.

Thu Apr 28 22:58:14 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* msg.defs (reply_port_t): Define type.
	(sig_post): Use reply_port_t for sreplyport arg; remove #ifdef.
	* msg_reply.defs (reply_port_t): Define type.
	(sig_post_reply): Use reply_port_t for first arg.

Wed Apr 27 06:39:46 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* msg.defs (sig_post): Put sreplyport arg inside #ifdef MSG_SREPLYPORT.

Thu Apr 21 21:17:37 1994  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* msg.defs (get_init_port, set_init_port, get_fd, set_fd): Make
	PORT arg mach_port_send_t.
	(get_environment, set_environment,
	get_env_variable, set_env_variable): New routines.

Thu Feb 17 17:59:13 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd_types.defs (io_statbuf_t): Change size to 32 ints.

Tue Feb  8 20:53:25 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* msg_reply.defs: Change subsystem to `msg_reply'.  MiG-generated
	header files use `#ifndef _subsystem_user_' to protect against
	multiple inclusion, so two headers with the same subsystem conflict.

Thu Feb  3 03:45:18 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd_types.h: Include <mach/task_info.h> and <mach/thread_info.h>
	before using task_basic_info and thread_basic_info in sturct procinfo.

Mon Jan 24 17:33:00 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* msg_reply.defs: New file.

Tue Dec 21 01:11:04 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* socket.defs: Fix typos.

Mon Dec  6 22:52:00 1993  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* Made snapshot.

Mon Dec  6 22:36:33 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hurd_types.defs (flock_t): Defined.
	* hurd_types.h (flock_t): Added typedef.

Mon Dec  6 19:28:27 1993  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* process.defs (proc_get_collports): Designate as INTR, also
	return the pids.

Wed Dec  1 21:41:06 1993  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* hurd_types.h: Remove deprecated information:
	INBAND_MAX_DATA, FS_LOOKUP_* bits.
	Added PI_ZOMBIE.

	* process.defs (proc_getmsgport): Now is INTR.

	* io.defs (io_get_conch, io_release_conch, io_eofnotify,
	io_prenotify, io_postnotify, io_readsleep, io_sigio):
	Remove cntl argument.

Tue Nov 23 12:18:21 1993  Michael I. Bushnell  (mib at ernst.gnu.ai.mit.edu)

	* fsys.defs (fsys_startup): control_port is now mach_port_send_t.

	* io.defs (io_map): remove `xx' argument.

	* process.defs (proc_handle_exceptions): forwardport is now
	mach_port_send_t.

	* auth.defs, auth_reply.defs: Removed auth_combine and extended
	auth_makeauth to take multiple auth ports.

	* shared.h, io.defs: Changed `it' terminology to `conch'.

Mon Nov 22 22:58:59 1993  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* io.defs: Changed io_map to use mach_port_send_t.

	* auth.defs: Changed auth_user_authenticate arg newport to be
	mach_port_send_t.
